# redis-hs

A simple  Redis driver  in Haskell  using Data.ByteString.UTF8  for consistent
UTF8 handling.

## Install

    cabal install redis-hs

## Use

Make sure to include

    Database.Redis

and try the following:

    con <- connect localhost defaultPort
    _ <- select con 0
    _ <- itemSet con "greek" "ἐστίν"
    tester <- itemGet con "greek"
    putStrLn $ unwrapReply tester

If you need to see the details of the response, replace `unwrapReply` with
`show`.

## Acknowledgements

Much  of  the  code  in  this  library is  inspired  by  the  work  of  Anders
Conbere   and  Alexander   Bogdanov   (author  of   the   [redis  library   on
Hackage](http://hackage.haskell.org/package/redis)).
